## boinc-app-seti 5.13+cvs20060510

=== vector_lib/Makefile ===
t1.s: ../config.h ../../boinc/lib/std_fixes.h simd.h mmx.h generics.h t1.cpp sse.h
	gcc -w -I../../boinc/lib -march=pentium4 -mfpmath=sse -O2 -DUSE_3DNOW -S t1.cpp

t1: ../config.h ../../boinc/lib/std_fixes.h simd.h mmx.h generics.h t1.cpp sse.h
	gcc  -w -I../../boinc/lib -march=pentium4 -mfpmath=sse -O2 -DUSE_3DNOW -o t1 t1.cpp

ps.s: ../config.h ../../boinc/lib/std_fixes.h simd.h mmx.h generics.h ps.cpp sse.h
	gcc -w -I../../boinc/lib -march=pentium4 -mfpmath=sse -O2 -DUSE_3DNOW -S ps.cpp

=== debian/changelog ===
boinc-app-seti (5.13+cvs20060510-7) unstable; urgency=low

  * debian/control:
    - Add myself to uploaders
    - Use Standards-Version 3.8.4 (No changes needed)
    - Bump boinc-dev B-D to 6.10.17+dfsg-3 
  * Includes Ilya Barygin <barygin@gmail.com> patchs to fix a FTBFS
    coming since the last upgrade of boinc-dev, thanks for the 
    patches! (Closes: #556817) 
  * debian/rules: 
    - Delete configure to prevent ship the modified file
    - Use `clean' instead of `distclean', dist-clean fails to clean the package.
    - Remove some auto-generated files that are not cleaned on `clean' target
  * Switch to dpkg-source 3.0 (quilt) format
    - Remove quilt from debian/rules and from B-D
    - Remove README.source

 -- Rene Mayorga <rmayorga@debian.org>  Thu, 25 Mar 2010 19:50:29 -0600

boinc-app-seti (5.13+cvs20060510-6) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version from 3.8.0 to 3.8.1, no changes required.
    - Removed myself from Uploaders.

 -- Frank S. Thomas <fst@debian.org>  Wed, 18 Mar 2009 15:58:52 +0100

boinc-app-seti (5.13+cvs20060510-5) unstable; urgency=low

  [ Frank S. Thomas ]
  * Use debhelper V7 instead of CDBS to minimize debian/rules.
  * debian/control:
    - Fix spelling error in long description. (closes: #501205)
    - Updated Vcs-* fields since we are now using Git.
    - Wrapped Uploaders field because this is permitted since policy 3.8.0.
    - Removed -1 revision from boinc-dev build dependency to satisfy Lintian.
    - Bumped Standards-Version from 3.7.3 to 3.8.0. This required to rename
      debian/README.Debian-source to debian/README.source and to add a note
      that we use quilt for patch management.
  * Added a dummy debian/watch file that explains why upstream tarballs cannot
    be meaningfully monitored to fix Lintian's debian-watch-file-is-missing
    informational tag.
  * debian/patches/:
    - Added 102_fix_typo_for_gcc4.4.patch to fix a FTBFS with GCC 4.4. Thanks
      to Martin Michlmayr <tbm@cyrius.com> for the bug report and the patch.
      (closes: #505012)
    - Added missing descriptions to some patch files to appease Lintian.

 -- Frank S. Thomas <fst@debian.org>  Sun, 08 Feb 2009 11:47:26 +0100

boinc-app-seti (5.13+cvs20060510-4) unstable; urgency=low

  [ Steffen Moeller ]
  * debian/rules: Wrote get-orig-source target that downloads the latest
    nightly tarball.

  [ Frank S. Thomas ]
  * debian/control.in:
    - Bumped Standards-Version from 3.7.2 to 3.7.3, no changes required.
    - Changed my maintainer address to fst@debian.org.
  * debian/rules: Remove --disable-dependency-tracking from configure's
    arguments, because it breaks some handwritten rules in client/Makefile.am
    which require that $(DEPDIR) exists.
  * Bumped debhelper compat level from V5 to V6 since this is the current
    recommended level and raised the build dependency to "debhelper (>= 6)".
  * debian/patches/: Added 201_missing_header_for_gcc4.3.patch in order to
    fix a FTBFS with recent GCC 4.3 snapshots. Thanks to Martin Michlmayr
    <tbm@cyrius.com> for the bug report. (closes: #462051)

 -- Frank S. Thomas <fst@debian.org>  Wed, 23 Jan 2008 21:27:23 +0100

boinc-app-seti (5.13+cvs20060510-3) unstable; urgency=low

  * debian/rules: Remove two binary files that are not removed by "make clean"
    and use clean instead of distclean as DEB_MAKE_CLEAN_TARGET, because
    distclean removes files that are needed to build this package. These
    changes fixes the FTBFS if build twice in a row. (closes: #442513)
  * debian/control.in:
    - Moved Homepage pseudo field in the long description to the source stanza
      because this is now a propper debian/control field supported by dpkg.
    - fftw3-dev was renamed to libfftw3-dev, adjusted Build-Depends
      accordingly.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu, 11 Oct 2007 16:21:39 +0200

boinc-app-seti (5.13+cvs20060510-2) unstable; urgency=low

  * debian/boinc-app-seti-prerm: Stop the BOINC core client before removing
    the SETI@home symlinks from the data directory to prevent the client from
    downloading new work units although no application to process these is
    present. (related to: #415765)
  * debian/control.in:
    - Added XS-Vcs fields to the source stanza.
    - Improved the description of the package and explicitly stated that this
      package is not needed on i386 and amd64 hosts since SETI@home supports
      those architectures officially.
  * debian/copyright: Added copyright information for glut/Roman.stroke and
    glut/stroke.h and added a copyright note about the Debian packaging.
  * Changed from dpatch to the quilt patch system.
  * debian/patches/:
    - 004_include_new_str_util.h.patch added. The strlcpy() and strlcat()
      functions that were previously declared in boinc-dev/lib/util.h have
      been moved in BOINC 5.10 to the new boinc-dev/lib/str_util.h header
      file, so we need to include this new header in some files. Bumped build
      dependency to "boinc-dev (>= 5.10.8-1)" accordingly. (closes: #433737)
    - 003_dont_use_own_jpeglib.patch modified to prevent that setiathome is
      linked against libjpeg. This ensures predictability of the dependecy
      list, see http://lists.debian.org/debian-devel/2007/07/msg00588.html for
      details.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu, 19 Jul 2007 14:21:27 +0200

boinc-app-seti (5.13+cvs20060510-1) unstable; urgency=low

  * Initial release based on Steffen Moeller's boinc-client-seti package.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Mon, 22 May 2006 09:09:03 +0200

=== debian/control ===
Source: boinc-app-seti
Section: science
Priority: optional
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <steffen_moeller@gmx.de>,
 Christoph Martin <christoph.martin@uni-mainz.de>, Rene Mayorga <rmayorga@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), automake1.9 (>= 1.9.3),
 autoconf (>= 2.59), boinc-dev (>= 6.10.17+dfsg-3), libfftw3-dev
Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc-app-seti.git
Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc-app-seti.git
Homepage: http://setiathome.berkeley.edu/

Package: boinc-app-seti
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, boinc-client (>= 5.4.3-1)
Description: SETI@home application for the BOINC client
 SETI@home is a distributed computing project using Internet-connected
 computers for the Search for Extraterrestrial Intelligence (SETI). It
 searches for possible evidence of extraterrestrial intelligence in
 radio transmissions collected by the Arecibo radio telescope.
 .
 This package contains the SETI@home Enhanced application for the BOINC
 distributed computing platform. The BOINC client downloads the radio
 data which the SETI@home application analyzes looking for signals of
 extraterrestrial origin. Results are then send back to the SETI@home
 server by the BOINC client.
 .
 Note that this package has been primarily created for users of
 architectures for which SETI@home does not provide its application.
 If your architecture is x86 or AMD64 the BOINC client automatically
 downloads the latest SETI@home application if you participate in this
 project. There is no need to install this package then.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp

PKG = boinc-app-seti

UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | \
  cut -d ' ' -f 2 | cut -d '+' -f 1 | cut -d '~' -f 1)
APP_INFO_VERSION = $(subst .,,$(UPSTREAM_VERSION))

autoreconf-stamp:
	aclocal-1.9 -I m4 && autoheader && automake-1.9 && autoconf
	touch $@

build: autoreconf-stamp build-stamp
build-stamp:
	dh build --before configure
	
	# Remember to not configure with --disable-dependency-tracking, because
	# it breaks some handwritten rules in client/Makefile.am which require
	# that DEPDIR exists.
	BOINCDIR=/usr/share/boinc-dev ./configure \
	  --enable-client \
	  --disable-graphics \
	  --disable-dynamic-graphics \
	  --disable-server \
	  --disable-static-linkage
	
	dh build --after configure
	touch $@

clean:
	[ ! -f Makefile ] ||  $(MAKE) clean
	dh_clean client/setiathome-$(UPSTREAM_VERSION).* \
	  debian/extra/app_info.xml \
	  client/Makefile \
	  client/setiathome-5.13.i686-pc-linux-gnu \
	  client/setiathome-5.13.i686-pc-linux-gnu.debug \
	  Makefile \
	  config.h \
	  config.log \
	  config.status \
	  db/Makefile \
	  db/schema_to_class \
	  Makefile.in \
	  aclocal.m4 \
	  config.h.in \
	  client/Makefile.in \
	  tools/Makefile.in \
	  libtool \
	  stamp-h1 \
	  tools/Makefile \
	  configure



install: build install-stamp
install-stamp:
	dh install --before dh_install
	
	cp client/seti_boinc debian/$(PKG)/usr/lib/$(PKG)/setiathome_enhanced
	
	cat debian/extra/app_info.xml.in | \
	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
	
	dh install --remaining
	touch $@

binary-indep: install
	dh binary-indep

binary-arch: install
	dh binary-arch

binary: binary-indep binary-arch

origDir ?= .

get-orig-source:
	if [ ! -d "$(origDir)" ]; then \
	  echo "Destination directory '$(origDir)' does not exist."; \
	  exit; \
	fi; \
	cd $(origDir); \
	DLS=/tmp/download-seti; \
	TODAY=`date +%Y-%m-%d | tr -d '\n'`; \
	svn export svn://svn.debian.org/pkg-boinc/scripts/download-seti $$DLS; \
	echo "Attempting to retrieve today's ($$TODAY) tarball."; \
	$$DLS $$TODAY || ( \
	  YESTERDAY=`date -d yesterday +%Y-%m-%d | tr -d '\n'`; \
	  echo "Today's ($$TODAY) tarball could not be downloaded."; \
	  echo "Now attempting to retrieve yesterday's ($$YESTERDAY) tarball."; \
	  $$DLS $$YESTERDAY; \
	); \
	rm -f $$DLS

.PHONY: build clean install binary-indep binary-arch binary \
 get-orig-source

=== debian/watch ===
# The SETI@home project does not distribute source code releases as
# tarballs, only tarballs of nightly Subversion snapshots are available.
# Therefore a proper debian/watch file is not very useful under these
# circumstances.

## boinc-app-seti 6.12~svn1305

=== debian/changelog ===
boinc-app-seti (6.12~svn1305-2ubuntu1) quantal; urgency=low

  * debian/patches/004_disable_altivec_on_ppc_linux.patch: Disable use of
    altivec on PPC in the case of LINUX. Fixes FTBFS.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 12 Jun 2012 22:28:38 -0400

boinc-app-seti (6.12~svn1305-2) unstable; urgency=low

  * debian/control:
    - remove quilt from build-depends.
    - add myself in Uploaders.
  * debian/rules:
    - add dh_install in override target to install app_info.xml and seti.cfg.
    - use dpkg-buildflags to add -g and default hardening options.

 -- Guo Yixuan <culu.gyx@gmail.com>  Thu, 24 May 2012 23:16:40 +0800

boinc-app-seti (6.12~svn1305-1) unstable; urgency=low

  * New upstream version.
    - Removed all patches
    - Adjusted debian/rules for dynamic linking
  * Updated debian/control
    - Steffen's uploader's email address, removed Martin
    - Set priority to extra (from optional)
  * Bumped policy compliance to 3.9.3
    - Source format 3.0
    - Adjusted clean target to allow repeated builds with git
    - added build-arch/-indep debian/rules targets
  * README.Debian and README.source get some extra wording

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 May 2012 15:17:06 +0200

boinc-app-seti (5.28~20080105-1) UNRELEASED; urgency=low

  [ Frank S. Thomas ]
  * New upstream snapshot from 05 Jan 2008.
  * debian/patches/:
    - Removed 001_build_fixes.patch and 004_include_new_str_util.h.patch
      because they are not required for the new upstream version.
    - Updated 002_disable_static_linkage.patch and
      003_dont_use_own_jpeglib.patch for the new release.
  * debian/control:
    - Bumped Standards-Version from 3.8.0 to 3.8.1, no changes required.
    - Removed myself from Uploaders.

  [ Fernando C. Estrada ]
  * debian/control:
    - Bumped Standards-Version from 3.8.1 to 3.8.4, no changes required.
    - Added my self as a Uploader.

 -- Fernando C. Estrada <fcestrada@fcestrada.com>  Tue, 23 Mar 2010 21:55:22 -0600

boinc-app-seti (5.13+cvs20060510-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Includes Ilya Barygin <barygin@gmail.com> patchs to fix a FTBFS
    coming since the last upgrade of boinc-dev, thanks for the
    patches! (Closes: #614443)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 14 May 2012 23:58:40 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: boinc-app-seti
 Section: science
-Priority: optional
-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <steffen_moeller@gmx.de>,
- Christoph Martin <christoph.martin@uni-mainz.de>, Rene Mayorga <rmayorga@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7), automake1.9 (>= 1.9.3),
- autoconf (>= 2.59), boinc-dev (>= 6.10.17+dfsg-3), libfftw3-dev
+Priority: extra
+XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+ Fernando C. Estrada <fcestrada@fcestrada.com>,
+ Guo Yixuan <culu.gyx@gmail.com>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), automake1.9 (>= 1.9.3),
+ autoconf (>= 2.59), boinc-dev (>= 5.10.8),
+ libfftw3-dev
 Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc-app-seti.git
 Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc-app-seti.git
 Homepage: http://setiathome.berkeley.edu/
@@ -30,4 +33,7 @@
  architectures for which SETI@home does not provide its application.
  If your architecture is x86 or AMD64 the BOINC client automatically
  downloads the latest SETI@home application if you participate in this
- project. There is no need to install this package then.
+ project. There is no need to install this package then, except for
+ it to take all technical hurdles from you to have your very custom
+ SETI patch or new compiler flags evaluated. The configuration of
+ BOINC to find the local SETI binary is all performed by the package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp


DEB_BUILD_GNU_CPU  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


PKG = boinc-app-seti

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

# Uncomment this to enable compilation with UltraSPARC specific compiler
# flags. This will most probably increase setiathome's performance or if
# your are unlucky will break it.
#
#CPUTYPE = $(shell head -1 /proc/cpuinfo | cut -f 2 -d ':' | cut -f 3 -d '\' )
#ifeq (UltraSparc, $(CPUTYPE))
#  CPUSUBTYPE = $(shell head -1 /proc/cpuinfo | cut -f 2 -d ':' | \
#    cut -f 4 -d '\' | cut -f 1 -d '+')
#  CFLAGS += -mcpu=v9
#  CXXFLAGS += -mcpu=v9
#  ifeq (III, $(CPUSUBTYPE))
#    CFLAGS += -mcpu=ultrasparc3
#    CXXFLAGS += -mcpu=ultrasparc3
#  else
#    CFLAGS += -mcpu=ultrasparc
#    CXXFLAGS += -mcpu=ultrasparc
#  endif
#  CFLAGS += -m64
#  CXXFLAGS += -m64
#  DEB_CONFIGURE_EXTRA_FLAGS += --enable-bitness=64
#endif


CXXFLAGS += -O3
CXXFLAGS += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api
# some handwritten rules in client/Makefile.am seems to use CFLAGS only
# [FIXME] remove duplicates
CFLAGS += -O3
CFLAGS += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api


SETIEXTRAFLAGS=


ifeq ($(DEB_BUILD_GNU_CPU),x86_64)
  SETIEXTRAFLAGS += --enable-sse3
  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
endif

ifeq ($(DEB_BUILD_GNU_CPU),i686)
  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
endif


UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | \
  cut -d ' ' -f 2 | cut -d '-' -f 1 | cut -d '+' -f 1 | cut -d '~' -f 1)
APP_INFO_VERSION = $(subst .,,$(UPSTREAM_VERSION))


%:
	dh $@ --parallel

override_dh_auto_configure:
	aclocal-1.9 -I m4 && autoheader && automake-1.9 && autoconf
	# Remember to not configure with --disable-dependency-tracking, because
	# it breaks some handwritten rules in client/Makefile.am which require
	# that DEPDIR exists.
	BOINCDIR=/usr/share/boinc-dev ./configure \
	  --disable-static-client \
	  --enable-client \
	  --disable-graphics \
	  --disable-dynamic-graphics \
	  --disable-server \
	  --disable-static-linkage \
	  --enable-dependency-tracking \
	  --disable-static \
	  --enable-shared \
	  --with-gnu-ld

override_dh_auto_clean:
	if [ -r Makefile ]; then make clean; fi
	find . -name "*.o" -delete
	find . -name ".deps" -a -type d | xargs -r rm -r
	rm -f client/seti_boinc client/hires_timer_test tools/fakedata tools/workunit_resample tools/workunit_to_ascii
	dh_clean \
	  client/setiathome-$(UPSTREAM_VERSION).* \
	  debian/extra/app_info.xml
	rm -f  Makefile Makefile.in aclocal.m4 assimilator/Makefile assimilator/Makefile.in client/Makefile client/Makefile.in config.log config.status configure db/Makefile db/schema_to_class db/tools/Makefile jpeglib/Makefile jpeglib/Makefile.in libtool sah_config.h.in splitter/Makefile splitter/Makefile.in stamp-h1 tools/Makefile tools/Makefile.in validate/Makefile


override_dh_install: 
	cp client/seti_boinc debian/$(PKG)/usr/lib/$(PKG)/setiathome_enhanced
	cat debian/extra/app_info.xml.in | \
	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
	dh_install


origDir ?= .

get-orig-source:
	if [ ! -d "$(origDir)" ]; then \
	  echo "Destination directory '$(origDir)' does not exist."; \
	  exit; \
	fi; \
	cd $(origDir); \
	DLS=/tmp/download-seti; \
	TODAY=`date +%Y-%m-%d | tr -d '\n'`; \
	svn export svn://svn.debian.org/pkg-boinc/scripts/download-seti $$DLS; \
	echo "Attempting to retrieve today's ($$TODAY) tarball."; \
	$$DLS $$TODAY || ( \
	  YESTERDAY=`date -d yesterday +%Y-%m-%d | tr -d '\n'`; \
	  echo "Today's ($$TODAY) tarball could not be downloaded."; \
	  echo "Now attempting to retrieve yesterday's ($$YESTERDAY) tarball."; \
	  $$DLS $$YESTERDAY; \
	); \
	rm -f $$DLS

.PHONY: get-orig-source

## boinc-app-seti 6.97~svn1409

=== vector_lib/Makefile ===
t1.s: ../config.h ../../boinc/lib/std_fixes.h simd.h mmx.h generics.h t1.cpp sse.h
	gcc -w -I../../boinc/lib -march=pentium4 -mfpmath=sse -O2 -DUSE_SSE -S t1.cpp

t1: ../config.h ../../boinc/lib/std_fixes.h simd.h mmx.h generics.h t1.cpp sse.h
	gcc  -w -I../../boinc/lib -march=pentium4 -mfpmath=sse -O2 -DUSE_SSE -o t1 t1.cpp

ps.s: ../config.h ../../boinc/lib/std_fixes.h simd.h mmx.h generics.h ps.cpp sse.h
	gcc -w -I../../boinc/lib -march=pentium4 -mfpmath=sse -O2 -DUSE_SSE -S ps.cpp

=== debian/changelog ===
boinc-app-seti (6.97~svn1409-1) unstable; urgency=low

  [Eric J. Korpela]
  * app_info.xml: setiathome_enhanced replies to version 6 and 7 jobs

  [Guo Yixuan]
  * Removed Windows binaries in source tree, and some other files, see
    README.source.
  * New upstream version:
    - sah_v7 branch becomes trunk.
    - new feature: autocorrelation.
    - re-enabled 003_dont_use_own_jpeglib.patch, and refreshed some patches.

  [Steffen Moeller]
  * debian/control: boinc-app-seti suggests boinc-manager

 -- Guo Yixuan <culu.gyx@gmail.com>  Tue, 28 Aug 2012 11:05:07 +0800

boinc-app-seti (6.12~svn1385-3) unstable; urgency=low

  * Correcting for previous dependency on libs of BOINC 7.0.33.

 -- Steffen Moeller <moeller@debian.org>  Mon, 20 Aug 2012 23:11:29 +0200

boinc-app-seti (6.12~svn1385-2) UNRELEASED; urgency=low

  [Guo Yixuan]

  * debian/patches/004_disable_altivec_on_ppc_linux.patch: Disable use of
    altivec on PPC in the case of LINUX. Fixes FTBFS, thanks to Ben Collins
    <bcollins@ubuntu.com>.

  [Steffen Moeller]

  * Removed Fernando from uploaders.
  * SETI DMUA flag for Guo Yixuan.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sun, 19 Aug 2012 14:56:37 +0800

boinc-app-seti (6.12~svn1385-1) unstable; urgency=low

  * New upstream version.
  * Reduced warnings during compilation.

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Aug 2012 19:49:53 +0200

boinc-app-seti (6.12~svn1306-3) UNRELEASED; urgency=low

  * Platform-specific optimisations back in
  * Disabled AltiVec for PowerPC because of FTBFS otherwise

 -- Steffen Moeller <moeller@debian.org>  Wed, 15 Aug 2012 13:18:56 +0200

boinc-app-seti (6.12~svn1306-2) unstable; urgency=low

  * debian/rules: auto_clean improved.
  * increased verbosity of stderr
  * someone somewhen changed build-dependency to boinc-dev
    (from libboinc-app-dev) (Closes: #679757).
  * fixes crash on amd64 as it seems (Closes: #674248)

 -- Steffen Moeller <moeller@debian.org>  Sun, 12 Aug 2012 00:31:34 +0200

boinc-app-seti (6.12~svn1306-1) unstable; urgency=low

  * New upstream version.
  * Added inclusion<cmath> for kfreebsd (Closes: #675839)

 -- Steffen Moeller <moeller@debian.org>  Tue, 29 May 2012 23:52:47 +0200

boinc-app-seti (6.12~svn1305-3) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Rebuilt against libboinc-app, and libboinc with it,
    substituting dependency on boinc-dev.

  [ Guo Yixuan ]
  * Try to fix ftbfs on freebsd and powerpc.
  * Install checkin_notes as upstream changelog.

 -- Steffen Moeller <moeller@debian.org>  Mon, 28 May 2012 20:00:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: boinc-app-seti
 Section: science
 Priority: extra
-XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
- Fernando C. Estrada <fcestrada@fcestrada.com>,
  Guo Yixuan <culu.gyx@gmail.com>
+DM-Upload-Allowed: yes
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.0.50~), automake1.9 (>= 1.9.3),
- autoconf (>= 2.59), boinc-dev (>= 5.10.8),
+ autoconf (>= 2.59),
+ boinc-dev (>= 7) | libboinc-app-dev,
  libfftw3-dev
 Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc-app-seti.git
 Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc-app-seti.git
@@ -16,7 +16,8 @@
 
 Package: boinc-app-seti
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, boinc-client (>= 5.4.3-1)
+Depends: ${misc:Depends},${shlibs:Depends}, boinc-client (>= 5.4.3-1)
+Suggests: boinc-manager
 Description: SETI@home application for the BOINC client
  SETI@home is a distributed computing project using Internet-connected
  computers for the Search for Extraterrestrial Intelligence (SETI). It
@@ -37,3 +38,18 @@
  it to take all technical hurdles from you to have your very custom
  SETI patch or new compiler flags evaluated. The configuration of
  BOINC to find the local SETI binary is all performed by the package.
+
+Package: boinc-app-seti-dbg
+Architecture: any
+Depends: ${misc:Depends}, boinc-app-seti (= ${binary:Version})
+Section: debug
+Description: debug symbols for SETI@home
+ SETI@home is a distributed computing project using Internet-connected
+ computers for the Search for Extraterrestrial Intelligence (SETI). It
+ searches for possible evidence of extraterrestrial intelligence in
+ radio transmissions collected by the Arecibo radio telescope.
+ .
+ This package provide debug information. It comes handy when you have
+ optimised the code of SETI yourself and find it crash or be stuck in
+ an infinite loop or you may be asked to install the package for some
+ joint investigation with the SETI core developers.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-PKG = boinc-app-seti
+# PKG = boinc-app-seti
 
 export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
@@ -41,20 +41,22 @@
 #endif
 
 
-CXXFLAGS += -O3
-CXXFLAGS += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api
-# some handwritten rules in client/Makefile.am seems to use CFLAGS only
-# [FIXME] remove duplicates
-CFLAGS += -O3
-CFLAGS += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api
+# Append this to CFLAGS and CXXFLAGS.
+CFLAGS_APPEND += -O3
+CFLAGS_APPEND += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api
+
+# Although all source file are C++, some handwritten rules in
+# client/Makefile.am seem to use CFLAGS only.
+CFLAGS   += $(CFLAGS_APPEND)
+CXXFLAGS += $(CFLAGS_APPEND)
 
 
-SETIEXTRAFLAGS=
-
+# This is a shame, but there is yet no AltiVec for Linux PowerPC with SETI
+SETIEXTRAFLAGS= --disable-altivec
 
 ifeq ($(DEB_BUILD_GNU_CPU),x86_64)
   SETIEXTRAFLAGS += --enable-sse3
-  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
+#  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
 endif
 
 ifeq ($(DEB_BUILD_GNU_CPU),i686)
@@ -62,8 +64,10 @@
 endif
 
 
+# Get upstream version from debian version.
 UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | \
-  cut -d ' ' -f 2 | cut -d '-' -f 1 | cut -d '+' -f 1 | cut -d '~' -f 1)
+  cut -d ' ' -f 2 | cut -d '-' -f 1 | cut -d '+' -f 1 | cut -d '~' -f 1 | perl -pe 's/^.*?://')
+# Remove dot "." in upstream version for use in app_info.xml
 APP_INFO_VERSION = $(subst .,,$(UPSTREAM_VERSION))
 
 
@@ -75,17 +79,16 @@
 	# Remember to not configure with --disable-dependency-tracking, because
 	# it breaks some handwritten rules in client/Makefile.am which require
 	# that DEPDIR exists.
-	BOINCDIR=/usr/share/boinc-dev ./configure \
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	BOINCDIR=/usr/include/boinc ./configure \
 	  --disable-static-client \
+	  --disable-static \
+	  --enable-shared \
 	  --enable-client \
 	  --disable-graphics \
-	  --disable-dynamic-graphics \
 	  --disable-server \
-	  --disable-static-linkage \
 	  --enable-dependency-tracking \
-	  --disable-static \
-	  --enable-shared \
-	  --with-gnu-ld
+	  --with-gnu-ld $(SETIEXTRAFLAGS)
 
 override_dh_auto_clean:
 	if [ -r Makefile ]; then make clean; fi
@@ -94,15 +97,26 @@
 	rm -f client/seti_boinc client/hires_timer_test tools/fakedata tools/workunit_resample tools/workunit_to_ascii
 	dh_clean \
 	  client/setiathome-$(UPSTREAM_VERSION).* \
+	  client/setiathome_enhanced \
 	  debian/extra/app_info.xml
+	# may be seen after invoking binary
+	rm -f client/boinc_finish_called client/result.sah client/state.sah client/stderr.txt client/wisdom.sah client/work_unit.sah client/boinc_lockfile
+	# generated by autoconf
 	rm -f  Makefile Makefile.in aclocal.m4 assimilator/Makefile assimilator/Makefile.in client/Makefile client/Makefile.in config.log config.status configure db/Makefile db/schema_to_class db/tools/Makefile jpeglib/Makefile jpeglib/Makefile.in libtool sah_config.h.in splitter/Makefile splitter/Makefile.in stamp-h1 tools/Makefile tools/Makefile.in validate/Makefile
+	rm -f sah_config.h
 
+override_dh_installchangelogs:
+	dh_installchangelogs -k checkin_notes
 
 override_dh_install: 
-	cp client/seti_boinc debian/$(PKG)/usr/lib/$(PKG)/setiathome_enhanced
+	cp -f client/seti_boinc client/setiathome_enhanced
 	cat debian/extra/app_info.xml.in | \
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
 	dh_install
+
+
+override_dh_strip:
+	dh_strip --dbg-package=boinc-app-seti-dbg
 
 
 origDir ?= .
@@ -113,16 +127,10 @@
 	  exit; \
 	fi; \
 	cd $(origDir); \
-	DLS=/tmp/download-seti; \
+	EXP=/tmp/download-seti; \
 	TODAY=`date +%Y-%m-%d | tr -d '\n'`; \
-	svn export svn://svn.debian.org/pkg-boinc/scripts/download-seti $$DLS; \
-	echo "Attempting to retrieve today's ($$TODAY) tarball."; \
-	$$DLS $$TODAY || ( \
-	  YESTERDAY=`date -d yesterday +%Y-%m-%d | tr -d '\n'`; \
-	  echo "Today's ($$TODAY) tarball could not be downloaded."; \
-	  echo "Now attempting to retrieve yesterday's ($$YESTERDAY) tarball."; \
-	  $$DLS $$YESTERDAY; \
-	); \
-	rm -f $$DLS
+	nice="nice -5"; if [ -x /usr/bin/ionice ]; then nice="$$nice ionice -c 3"; fi ; \
+	$$nice wget -O$$EXP "http://git.debian.org/?p=pkg-boinc/scripts.git;a=blob_plain;f=export-seti;hb=HEAD" --quiet && \
+	chmod +x $$EXP && $$EXP && rm -f $$EXP
 
 .PHONY: get-orig-source

## boinc-app-seti 7.00~svn1933

=== debian/changelog ===
boinc-app-seti (7.00~svn1933-1) unstable; urgency=low

  * New upstream release.
  * Removed win_build, mac_build, vector_lib, jpeglib
    not used in building and not completely listed in copyright file.
  * debian/copyright and README.sources have been updated.
  * dropping 101_freebsd_build.patch and separate_build_dir.patch,
    accepted upstream.
  * Removed debian/watch, unused.
  * Little changes in debian/README.source files.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 25 Jul 2013 09:38:04 +0200

boinc-app-seti (7.00~svn1883-3) UNRELEASED; urgency=low

  * Remove astropulse in app_info.xml.in.

 -- Guo Yixuan <culu.gyx@gmail.com>  Thu, 18 Jul 2013 09:57:38 +0800

boinc-app-seti (7.00~svn1883-2) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Added libxmu-dev, libxi-dev as build-depends
  * Added boinc-manager as boinc-app-seti suggests fields
  * Tweaked some version checks in control file
  * Rebuild against boinc 7.1.21+dfsg-1
    to fix a FTBFS in ubuntu 13.10.

  [ Guo Yixuan ]
  * Added a new package: boinc-app-seti-graphics, which provide
    a visualizer for seti.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 27 Jun 2013 13:13:29 +0200

boinc-app-seti (7.00~svn1883-1) unstable; urgency=low

  * New upstream release.
  * New app_info.xml file (Closes: #711734)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 21 Jun 2013 17:51:45 +0200

boinc-app-seti (7.00~svn1854-2) UNRELEASED; urgency=low

  * Disabled checkin_notes in dh_install_changelogs
    not updated anymore.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 18 Jun 2013 11:23:57 +0200

boinc-app-seti (7.00~svn1854-1) unstable; urgency=low

  * New upstream release.
    - Makefiles bugs fixed.
  * Added libgsl0-dev as build-dep.
  * Disabled checkin_notes in dh_install_changelogs
    not updated anymore.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 24 May 2013 11:33:48 +0200

boinc-app-seti (7.00~svn1828-1) UNRELEASED; urgency=low

  * New upstream release.
  * Enabling hardening flags.
  * Bumped debian/compat to 9.
  * Build-dep updated to boinc 7.0.65+dfsg-2 to avoid FTBFS
  * Removed some build-dep version requirement

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 02 May 2013 16:59:58 +0200

boinc-app-seti (7.00~svn1791-1) UNRELEASED; urgency=low

  * New upstream release.
    - Removed Makefile and Makefile.in from splitter_* directories
  * Fixed debian/rules clean script

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 25 Mar 2013 10:11:53 +0100

boinc-app-seti (7.00~svn1772-1) UNRELEASED; urgency=low

  * New upstream release.
  * Removed glut from source tree and disabled.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 25 Feb 2013 11:35:32 +0100

boinc-app-seti (7.00~svn1708-1) UNRELEASED; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream version.
  * debian/control
    - Bumped policy compliance to 3.9.4, no changes required.

  [ Guo Yixuan ]
  * Updated README.source.

  [ Steffen Moeller ]
  * Added link time optimisation
    - compiler bug demands g++ version >= 4.8
    - only building in experimental until 4.8 is in unstable

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 05 Nov 2012 14:48:54 +0100

boinc-app-seti (7.00~svn1704-1) UNRELEASED; urgency=low

  * New upstream version.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sat, 03 Nov 2012 00:02:38 +0800

boinc-app-seti (7.00~svn1703-1) UNRELEASED; urgency=low

  * New upstream version.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 02 Nov 2012 12:52:08 +0100

boinc-app-seti (6.97~svn1409-2) UNRELEASED; urgency=low

  * Reorganize debian/patches.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sun, 23 Sep 2012 22:53:02 +0800

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,29 @@
 Priority: extra
 Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
- Guo Yixuan <culu.gyx@gmail.com>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50~), automake1.9 (>= 1.9.3),
- autoconf (>= 2.59),
- boinc-dev (>= 7) | libboinc-app-dev,
- libfftw3-dev
-Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc-app-seti.git
-Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc-app-seti.git
+ Guo Yixuan <culu.gyx@gmail.com>,
+ Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
+ automake,
+ dpkg-dev (>= 1.16.1.1),
+ boinc-dev (>= 7.1.21+dfsg) | libboinc-app-dev (>= 7.1.21+dfsg),
+ autoconf,
+ libfftw3-dev,
+ libgsl0-dev,
+ freeglut3-dev,
+ libjpeg-dev,
+ libxmu-dev,
+ libxi-dev
+Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc-app-seti.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc-app-seti.git
 Homepage: http://setiathome.berkeley.edu/
 
 Package: boinc-app-seti
 Architecture: any
-Depends: ${misc:Depends},${shlibs:Depends}, boinc-client (>= 5.4.3-1)
+Depends: ${misc:Depends}, ${shlibs:Depends}, boinc-client
 Suggests: boinc-manager
+Conflicts: boinc-app-seti-graphics
 Description: SETI@home application for the BOINC client
  SETI@home is a distributed computing project using Internet-connected
  computers for the Search for Extraterrestrial Intelligence (SETI). It
@@ -38,10 +46,44 @@
  it to take all technical hurdles from you to have your very custom
  SETI patch or new compiler flags evaluated. The configuration of
  BOINC to find the local SETI binary is all performed by the package.
+ .
+ This package only provides command line application.
+ The boinc-app-seti-graphics package provides graphic application.
+
+Package: boinc-app-seti-graphics
+Architecture: any
+Depends: ${misc:Depends},${shlibs:Depends}, boinc-client
+Suggests: boinc-manager
+Conflicts: boinc-app-seti
+Description: SETI@home application for the BOINC client (with graphics)
+ SETI@home is a distributed computing project using Internet-connected
+ computers for the Search for Extraterrestrial Intelligence (SETI). It
+ searches for possible evidence of extraterrestrial intelligence in
+ radio transmissions collected by the Arecibo radio telescope.
+ .
+ This package contains the SETI@home Enhanced application for the BOINC
+ distributed computing platform. The BOINC client downloads the radio
+ data which the SETI@home application analyzes looking for signals of
+ extraterrestrial origin. Results are then send back to the SETI@home
+ server by the BOINC client.
+ .
+ Note that this package has been primarily created for users of
+ architectures for which SETI@home does not provide its application.
+ If your architecture is x86 or AMD64 the BOINC client automatically
+ downloads the latest SETI@home application if you participate in this
+ project. There is no need to install this package then, except for
+ it to take all technical hurdles from you to have your very custom
+ SETI patch or new compiler flags evaluated. The configuration of
+ BOINC to find the local SETI binary is all performed by the package.
+ .
+ This package provides graphic interface for SETI@HOME Enhanced application.
+ The boinc-app-seti package only provides command line application.
 
 Package: boinc-app-seti-dbg
 Architecture: any
-Depends: ${misc:Depends}, boinc-app-seti (= ${binary:Version})
+Depends: ${misc:Depends},
+ boinc-app-seti (= ${binary:Version}) |
+ boinc-app-seti-graphics (= ${binary:Version})
 Section: debug
 Description: debug symbols for SETI@home
  SETI@home is a distributed computing project using Internet-connected

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,19 @@
 #export CXX=/usr/lib/gcc-snapshot/bin/g++
 #export CPP=/usr/lib/gcc-snapshot/bin/cpp
 
+# Uncomment for particular version of gcc
+#export  CC := gcc-4.7
+#export CXX := g++-4.7
+#export CPP := cpp-4.7
+
+# Uncomment for clang (llvm)
+#export CC  = clang
+#export CXX = clang
+
+# Set default flags with dpkg-buildflags
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 DEB_BUILD_GNU_CPU  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -42,20 +55,36 @@
 
 
 # Append this to CFLAGS and CXXFLAGS.
+CFLAGS_APPEND += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api
+
+ifneq (clang,$(CXX))
 CFLAGS_APPEND += -O3
-CFLAGS_APPEND += -I/usr/include/boinc -I/usr/include/boinc/lib -I/usr/include/boinc/api
+#CFLAGS_APPEND += -mnative
+#CFLAGS_APPEND += -mno-avx
+#CFLAGS_APPEND += -msse4.2
+GCCVERSION=$(shell $(CXX) --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+\.[0-9]+$$' | cut -f1,2 -d.)
+# gcc 4.6 on precise has issues while gcc 4.7 and 4.8 on sid are just fine with -mno-avx set on non bulldozer/SandyBridge machines
+# CFLAGS_APPEND += -flto
+# LDFLAGS += -flto
+endif
+
+ifeq (clang,$(CXX))
+GCCVERSION=$(shell $(CXX) --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+-[0-9]+$$' | cut -f1 -d-)
+CFLAGS_APPEND += -O3
+# -O4 implies link-time optimisation with clang, fails
+endif
 
 # Although all source file are C++, some handwritten rules in
 # client/Makefile.am seem to use CFLAGS only.
 CFLAGS   += $(CFLAGS_APPEND)
 CXXFLAGS += $(CFLAGS_APPEND)
 
-
 # This is a shame, but there is yet no AltiVec for Linux PowerPC with SETI
 SETIEXTRAFLAGS= --disable-altivec
 
 ifeq ($(DEB_BUILD_GNU_CPU),x86_64)
   SETIEXTRAFLAGS += --enable-sse3
+#  SETIEXTRAFLAGS += --disable-avx
 #  SETIEXTRAFLAGS += --enable-sse2 --enable-sse --enable-mmx
 endif
 
@@ -74,49 +103,59 @@
 %:
 	dh $@ --parallel
 
-override_dh_auto_configure:
-	aclocal-1.9 -I m4 && autoheader && automake-1.9 && autoconf
-	# Remember to not configure with --disable-dependency-tracking, because
-	# it breaks some handwritten rules in client/Makefile.am which require
-	# that DEPDIR exists.
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	BOINCDIR=/usr/include/boinc ./configure \
+CFGFLAGS = \
 	  --disable-static-client \
 	  --disable-static \
 	  --enable-shared \
 	  --enable-client \
-	  --disable-graphics \
 	  --disable-server \
 	  --enable-dependency-tracking \
 	  --with-gnu-ld $(SETIEXTRAFLAGS)
 
+override_dh_auto_configure:
+	aclocal -I m4 && autoheader && automake && autoconf
+	# Remember to not configure with --disable-dependency-tracking, because
+	# it breaks some handwritten rules in client/Makefile.am which require
+	# that DEPDIR exists.
+	#
+	# use two directories for graphics/nographics
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	BOINCDIR=/usr/include/boinc dh_auto_configure --builddirectory=graphics \
+	  -- $(CFGFLAGS) --enable-graphics
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	BOINCDIR=/usr/include/boinc dh_auto_configure --builddirectory=nographics \
+	  -- $(CFGFLAGS) --disable-graphics
+
+override_dh_auto_build:
+	dh_auto_build -O--parallel --builddirectory=graphics
+	dh_auto_build -O--parallel --builddirectory=nographics
+
 override_dh_auto_clean:
-	if [ -r Makefile ]; then make clean; fi
-	find . -name "*.o" -delete
-	find . -name ".deps" -a -type d | xargs -r rm -r
-	rm -f client/seti_boinc client/hires_timer_test tools/fakedata tools/workunit_resample tools/workunit_to_ascii
-	dh_clean \
-	  client/setiathome-$(UPSTREAM_VERSION).* \
-	  client/setiathome_enhanced \
-	  debian/extra/app_info.xml
 	# may be seen after invoking binary
-	rm -f client/boinc_finish_called client/result.sah client/state.sah client/stderr.txt client/wisdom.sah client/work_unit.sah client/boinc_lockfile
+	# rm -f client/boinc_finish_called client/result.sah client/state.sah client/stderr.txt client/wisdom.sah client/work_unit.sah client/boinc_lockfile client/project_specific_defines.h
 	# generated by autoconf
-	rm -f  Makefile Makefile.in aclocal.m4 assimilator/Makefile assimilator/Makefile.in client/Makefile client/Makefile.in config.log config.status configure db/Makefile db/schema_to_class db/tools/Makefile jpeglib/Makefile jpeglib/Makefile.in libtool sah_config.h.in splitter/Makefile splitter/Makefile.in stamp-h1 tools/Makefile tools/Makefile.in validate/Makefile
-	rm -f sah_config.h
-
-override_dh_installchangelogs:
-	dh_installchangelogs -k checkin_notes
+	rm -rf aclocal.m4 sah_config.h.in Makefile.in assimilator/Makefile.in client/Makefile.in configure splitter_fft/Makefile.in splitter_pfb/Makefile.in tools/Makefile.in
+	# separate building dirs
+	rm -rf graphics/
+	rm -rf nographics/
+	dh_auto_clean
 
 override_dh_install: 
-	cp -f client/seti_boinc client/setiathome_enhanced
-	cat debian/extra/app_info.xml.in | \
+	cp -f nographics/client/seti_boinc  nographics/client/setiathome_enhanced
+	cp -f graphics/client/seti_boinc    graphics/client/setiathome_enhanced
+	cp -f graphics/client/seti_graphics graphics/client/setiathome_graphics
+	cat debian/extra/app_info.xml.in | perl -ne 'print unless /^#/' | \
 	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra/app_info.xml
+	cat debian/extra-graphics/app_info.xml.in | perl -ne 'print unless /^#/' | \
+	  sed -e 's/VERSION/$(APP_INFO_VERSION)/' > debian/extra-graphics/app_info.xml
 	dh_install
 
 
 override_dh_strip:
 	dh_strip --dbg-package=boinc-app-seti-dbg
+
+override_dh_clean:
+	dh_clean debian/extra/app_info.xml debian/extra-graphics/app_info.xml
 
 
 origDir ?= .
